Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.xs
Class SchemaGrammar.BuiltinSchemaGrammar

    java.lang.Object
      weblogic.apache.xerces.impl.xs.SchemaGrammar
          weblogic.apache.xerces.impl.xs.SchemaGrammar.BuiltinSchemaGrammar

All Implemented Interfaces:
  weblogic.apache.xerces.impl.xs.psvi.XSNamespaceItem, Grammar, XSGrammar

Enclosing class:
  SchemaGrammar

    public static class SchemaGrammar.BuiltinSchemaGrammar

extends SchemaGrammar

Nested Class Summary

Nested classes/interfaces inherited from class weblogic.apache.xerces.impl.xs.SchemaGrammar
`SchemaGrammar.BuiltinSchemaGrammar`

Field Summary

Fields inherited from class weblogic.apache.xerces.impl.xs.SchemaGrammar
`fAnySimpleType, fAnyType, SG_SchemaNS, SG_XSI`

Constructor Summary
`SchemaGrammar.BuiltinSchemaGrammar(int grammar)` Special constructor to create the grammars for the schema namespaces

Method Summary
`void` | `addComplexTypeDecl(XSComplexTypeDecl decl, weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)` add one complex type decl: for later constraint checking
`void` | `addDocument(Object document, String location)`
`void` | `addGlobalAttributeDecl(XSAttributeDecl decl)` register one global attribute
`void` | `addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)` register one global attribute group
`void` | `addGlobalElementDecl(XSElementDecl decl)` register one global element
`void` | `addGlobalGroupDecl(XSGroupDecl decl)` register one global group
`void` | `addGlobalNotationDecl(XSNotationDecl decl)` register one global notation
`void` | `addGlobalTypeDecl(XSTypeDecl decl)` register one global type
`void` | `addRedefinedGroupDecl(XSGroupDecl derived, XSGroupDecl base, weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)` add a group redefined by restriction: for later constraint checking
`XMLGrammarDescription` | `getGrammarDescription()`
`void` | `setImportedGrammars(Vector importedGrammars)`

Methods inherited from class weblogic.apache.xerces.impl.xs.SchemaGrammar
`addIDConstraintDecl, getAttributeDecl, getAttributeGroup, getComponents, getDocumentLocations, getDocuments, getElementDecl, getGlobalAttributeDecl, getGlobalAttributeGroupDecl, getGlobalElementDecl, getGlobalGroupDecl, getGlobalNotationDecl, getGlobalTypeDecl, getIDConstraintDecl, getImportedGrammars, getModelGroupDefinition, getNotationDecl, getSchemaNamespace, getTargetNamespace, getTypeDefinition, isNamespaceAware, toXSModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaGrammar.BuiltinSchemaGrammar

    public SchemaGrammar.BuiltinSchemaGrammar(int grammar)

  Special constructor to create the grammars for the schema namespaces

  Parameters:
    `grammar` -

Method Detail

### getGrammarDescription

    public XMLGrammarDescription getGrammarDescription()

  Specified by:
    `getGrammarDescription` in interface `Grammar`
  Overrides:
    `getGrammarDescription` in class `SchemaGrammar`

### setImportedGrammars

    public void setImportedGrammars(Vector importedGrammars)

  Overrides:
    `setImportedGrammars` in class `SchemaGrammar`

### addGlobalAttributeDecl

    public void addGlobalAttributeDecl(XSAttributeDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global attribute

  Overrides:
    `addGlobalAttributeDecl` in class `SchemaGrammar`

### addGlobalAttributeGroupDecl

    public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global attribute group

  Overrides:
    `addGlobalAttributeGroupDecl` in class `SchemaGrammar`

### addGlobalElementDecl

    public void addGlobalElementDecl(XSElementDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global element

  Overrides:
    `addGlobalElementDecl` in class `SchemaGrammar`

### addGlobalGroupDecl

    public void addGlobalGroupDecl(XSGroupDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global group

  Overrides:
    `addGlobalGroupDecl` in class `SchemaGrammar`

### addGlobalNotationDecl

    public void addGlobalNotationDecl(XSNotationDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global notation

  Overrides:
    `addGlobalNotationDecl` in class `SchemaGrammar`

### addGlobalTypeDecl

    public void addGlobalTypeDecl(XSTypeDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global type

  Overrides:
    `addGlobalTypeDecl` in class `SchemaGrammar`

### addComplexTypeDecl

    public void addComplexTypeDecl(XSComplexTypeDecl decl,
                                   weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)

  Description copied from class: `SchemaGrammar`
  add one complex type decl: for later constraint checking

  Overrides:
    `addComplexTypeDecl` in class `SchemaGrammar`

### addRedefinedGroupDecl

    public void addRedefinedGroupDecl(XSGroupDecl derived,
                                      XSGroupDecl base,
                                      weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)

  Description copied from class: `SchemaGrammar`
  add a group redefined by restriction: for later constraint checking

  Overrides:
    `addRedefinedGroupDecl` in class `SchemaGrammar`

### addDocument

    public void addDocument(Object document,
                            String location)

  Overrides:
    `addDocument` in class `SchemaGrammar`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD